// DemoView.cpp : implementation of the CDemoView class
//

#include "stdafx.h"
#include "Demo.h"

#include "DemoDoc.h"
#include "DemoView.h"

#include "FlatBtn.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif


static CFlatButton *pButton = NULL;


/////////////////////////////////////////////////////////////////////////////
// CDemoView

IMPLEMENT_DYNCREATE(CDemoView, CView)

BEGIN_MESSAGE_MAP(CDemoView, CView)
	//{{AFX_MSG_MAP(CDemoView)
	ON_WM_ERASEBKGND()
	ON_COMMAND(ID_EDIT_COPY, OnEditCopy)
	ON_COMMAND(ID_DEMO_SET_BM, OnDemoSetBm)
	ON_COMMAND(ID_DEMO_REMOVE_BM, OnDemoRemoveBm)
	ON_COMMAND(ID_DEMO_SET_MENU, OnDemoSetMenu)
	ON_COMMAND(ID_DEMO_REMOVE_MENU, OnDemoRemoveMenu)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CDemoView construction/destruction

CDemoView::CDemoView()
{
	// TODO: add construction code here

}

CDemoView::~CDemoView()
{
delete pButton;
}

BOOL CDemoView::PreCreateWindow(CREATESTRUCT& cs)
{
	// TODO: Modify the Window class or styles here by modifying
	//  the CREATESTRUCT cs

	return CView::PreCreateWindow(cs);
}

/////////////////////////////////////////////////////////////////////////////
// CDemoView drawing

void CDemoView::OnDraw(CDC* pDC)
{
	CDemoDoc* pDoc = GetDocument();
	ASSERT_VALID(pDoc);

	// TODO: add draw code for native data here
}

/////////////////////////////////////////////////////////////////////////////
// CDemoView diagnostics

#ifdef _DEBUG
void CDemoView::AssertValid() const
{
	CView::AssertValid();
}

void CDemoView::Dump(CDumpContext& dc) const
{
	CView::Dump(dc);
}

CDemoDoc* CDemoView::GetDocument() // non-debug version is inline
{
	ASSERT(m_pDocument->IsKindOf(RUNTIME_CLASS(CDemoDoc)));
	return (CDemoDoc*)m_pDocument;
}
#endif //_DEBUG

///////////////////////////////////////////////////////////////////
// CDemoView message handlers - these are the only functions
// modified from the code generated by AppWizard.
///////////////////////////////////////////////////////////////////

void CDemoView::OnInitialUpdate() 
{
CView::OnInitialUpdate();

CRect rect( 50, 50, 150, 100 );
pButton = new CFlatButton;

pButton->Create( "TestButton", WS_CHILD | WS_VISIBLE, rect, this,
                 ID_EDIT_COPY );
}

BOOL CDemoView::OnEraseBkgnd( CDC* pDC )
{
CRect rect;

GetClientRect( &rect );
pDC->FillSolidRect( &rect, GetSysColor(COLOR_BTNFACE) );
return TRUE;
}

void CDemoView::OnEditCopy() 
{
MessageBeep( MB_ICONHAND );
}

void CDemoView::OnDemoSetBm() 
{
VERIFY( pButton->SetBitmap(::LoadBitmap(AfxGetInstanceHandle(),
                           (LPCTSTR)IDB_FLATBTN)) );
}

void CDemoView::OnDemoRemoveBm() 
{
pButton->SetBitmap( NULL );
}

void CDemoView::OnDemoSetMenu() 
{
VERIFY( pButton->SetMenu(::LoadMenu(AfxGetInstanceHandle(),
                         (LPCTSTR)IDR_FLATBTN)) );
}

void CDemoView::OnDemoRemoveMenu() 
{
pButton->SetMenu( NULL );
}
