/* WCESEM.H - header file to go with WCESEM.C */

#ifndef __WCESEM_H__
#define __WCESEM_H__

typedef struct _SYNCH_HANDLE_STRUCTURE {
   HANDLE hEvent;
   HANDLE hMutex;
   HANDLE hSemph;
   LONG MaxCount;
   volatile LONG CurCount;
   LPCTSTR lpName;
} SYNCH_HANDLE_STRUCTURE, *SYNCHHANDLE;

#define SYNCH_HANDLE_SIZE sizeof(SYNCH_HANDLE_STRUCTURE)

/* Error codes - all must have bit 29 set */
#define SYNCH_ERROR 0X20000000   

SYNCHHANDLE CreateSemaphoreCE (LPSECURITY_ATTRIBUTES, LONG, 
                               LONG, LPCTSTR);
BOOL ReleaseSemaphoreCE (SYNCHHANDLE, LONG, LPLONG);
DWORD WaitForSemaphoreCE (SYNCHHANDLE, DWORD);
BOOL CloseSynchHandle (SYNCHHANDLE);

#endif
